### Function

# WebKit WebExtensionMatchPattern new_with_string

#### Declaration [src]

    WebKitWebExtensionMatchPattern*
    webkit_web_extension_match_pattern_new_with_string (
      const gchar* string,
      GError** error
    )

#### Description [src]

Returns a new `WebKitWebExtensionMatchPattern` for the specified `string`.

Available since: | 2.48

#### Parameters

`string` | `const gchar*`
| A pattern string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitWebExtensionMatchPattern`
| A newly created `WebKitWebExtensionMatchPattern`, or `NULL` if the pattern string is invalid.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.